Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
load_arg Struct Reference

## Data Fields
VALUE | src
char * | buf
long | buflen
long | readable
long | offset
st_table * | symbols
st_table * | data
VALUE | proc
st_table * | compat_tbl
int | infection

## Detailed Description

Definition at line 977 of file marshal.c.

## Field Documentation

char* load_arg::buf

Definition at line 979 of file marshal.c.

Referenced by clear_load_arg(), marshal_load(), r_byte1_buffered(), and r_bytes1_buffered().

long load_arg::buflen

Definition at line 980 of file marshal.c.

Referenced by clear_load_arg(), r_byte(), r_byte1_buffered(), r_bytes0(), and r_bytes1_buffered().

st_table* load_arg::compat_tbl

Definition at line 986 of file marshal.c.

Referenced by clear_load_arg(), mark_load_arg(), marshal_load(), obj_alloc_by_klass(), r_entry0(), and r_leave().

st_table* load_arg::data

Definition at line 984 of file marshal.c.

Referenced by clear_load_arg(), mark_load_arg(), marshal_load(), r_entry0(), r_object0(), and r_prepare().

int load_arg::infection

Definition at line 987 of file marshal.c.

Referenced by marshal_load(), r_byte1_buffered(), r_bytes1(), r_bytes1_buffered(), and r_entry0().

long load_arg::offset

Definition at line 982 of file marshal.c.

Referenced by clear_load_arg(), marshal_load(), r_byte(), r_byte1_buffered(), r_bytes0(), and r_bytes1_buffered().

VALUE load_arg::proc

Definition at line 985 of file marshal.c.

Referenced by marshal_load(), r_leave(), and r_object0().

long load_arg::readable

Definition at line 981 of file marshal.c.

Referenced by clear_load_arg(), marshal_load(), r_byte(), r_byte1_buffered(), r_bytes0(), r_bytes1_buffered(), and r_object0().

VALUE load_arg::src

Definition at line 978 of file marshal.c.

Referenced by marshal_load(), r_byte(), r_byte1_buffered(), r_bytes0(), r_bytes1(), and r_bytes1_buffered().

st_table* load_arg::symbols

Definition at line 983 of file marshal.c.

Referenced by check_load_arg(), clear_load_arg(), mark_load_arg(), marshal_load(), r_symlink(), and r_symreal().

The documentation for this struct was generated from the following file:

- marshal.c